Bug 124742 - RPM returns cannot create transaction lock
RPM returns cannot create transaction lock
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-28 21:16 EDT by Michael Reynozo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-29 08:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Reynozo 2004-05-28 21:16:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
This bug was reported before, I believe for Fedora Core Test 1,
however it seems to have made a comeback. Just like the other bug,
when I type:

rpm -ivh PackageName.rpm

in a terminal, it returns the following error:

error: can't create transaction lock

This occurs when I try to install a package when logged in as a normal
user, not root. On root it works fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Launch terminal.
2.Type "rpm -ivh PackageName.rpm"
3.error returned

Actual Results:  Returned the following error:

error: can't create transaction lock

Expected Results:  The RPM package should have installed.

Additional info:

The package I was specifically trying to install was wine; however, as
the bug was reported before, I suspect wine is not at fault here.
Comment 1 Jeff Johnson 2004-05-29 08:34:01 EDT
Install requires root, creating the transaction lock is
just where rpm fails now, previously the message was
"cannot open database".

Note You need to log in before you can comment on or make changes to this bug.